
QGIS Application - Bug report #8320

Order of predefined scale settings wrong

2013-07-17 09:55 PM - James Harvey

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17112

Description

Within Settings > Options > Predefined scales

It would be nice if new scales could be ordered right. I tried some larger numbers and they went to the bottom of the list. 

Is this an ordering bug or something I am missing?

I am using a current 1.9 weekly build on Windows.

Related issues:

Related to QGIS Application - Bug report # 12352: Sort order for custom scales Closed 2015-03-10

Associated revisions

Revision 9aff9c56 - 2015-12-12 12:26 AM - Sebastian Dietrich 

Maintain order in scale list (fixes #8320)

Revision 7f674a4e - 2015-12-13 04:33 AM - Nyall Dawson

Merge pull request #2558 from SebDieBln/OrderScales

Keep scales ordered in Settings > Options > Predefined scales (fixes #8320)

History

#1 - 2013-07-18 01:22 AM - Giovanni Manghi

- Category set to GUI

- Subject changed from Ordering predefined scale settings to Order of predefined scale settings wrong

#2 - 2015-12-08 02:56 PM - Sebastian Dietrich

See PR 2558 for a solution.

#3 - 2015-12-12 07:33 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"7f674a4e965968451dd95eb2c7b91e0d932d3714".
https://github.com/qgis/QGIS/pull/2558
